GETPW(3C)

NAME
getpw - get name from uid

SYNOPSIS
getpw(uid, buf)
char *buf;

DESCRIPTION
Getpw is made obsolete by getpwuid(3).

Getpw searches the password file for the (numerical) uid, and fills in buf with the corresponding line; it returns non-zero if uid could not be found. The line is null-terminated.

FILES
/etc/passwd

SEE ALSO
getpwent(3), passwd(5)

DIAGNOSTICS
Non-zero return on error.